/* Exemplet visar några funktioner för datum som ingår i Date-objektet. */
// --------------------------------------------------
// Globala variabler
const weekday = ["söndag", "måndag", "tisdag", "onsdag", "torsdag", "fredag", "lördag"];
// Dagnummer som man får ur Date-objektet börjar på 0 för söndag
const month = ["januari", "februari", "mars", "april", "maj", "juni", "juli", "augusti", "september", "oktober", "november", "december"];
// Månader är numrerade 0 till 11 i Date-objektet

let resElem;    // Element för resultat
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
	input1Elem = document.querySelector("#input1");
	resElem = document.querySelector("#result");
	document.querySelector("#dayBtn").addEventListener("click", xmasEveDay);
	todaysDate();
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Skriv dagens datum
function todaysDate() {
	let today = new Date();		 // Skapa ett objekt för dagens datum
	let w = today.getDay();		 // Veckans dag (0-6)
	let d = today.getDate();	 // Månadens dag (1-31)
	let m = today.getMonth();	 // Månad (0-11)
	let y = today.getFullYear(); // År med fyra siffror
	document.querySelector("#today").innerText = weekday[w] + " den " + d + " " + month[m] + " " + y;
} // Slut todaysDate
// --------------------------------------------------
// Ta fram veckodag för angiven julafton samt beräkna hur många dagar det är kvar dit
function xmasEveDay() {
	let year = Number(input1Elem.value);
	let xmasEve = new Date(year, 11, 24); // Obs! månad är 0-11, så 11 är december
	let w = xmasEve.getDay(); // Nummer för veckodag för julafton
	resElem.innerHTML = "<p>År " + year + " är julafton på en " + weekday[w] + ".</p>";

	let today = new Date();
	let daysCount = parseInt((xmasEve.getTime() - today.getTime()) / (1000 * 60 * 60 * 24));
	// getTime() ger tid i millisekunder från den 1 januari 1970
	// Skillnaden blir hur många millisekunder som återstår
	// Dividera med 1000 för att få sekunder, med 60 för minuter, med 60 igen för timmar och med 24 för dagar

	resElem.innerHTML += "<p>Det är " + daysCount + " dagar kvar.</p>";
} // Slut xmasEveDay
// --------------------------------------------------
