/* Exemplet visar tiden i millisekunder från startpunkten 1970-01-01T00:00Z */
// --------------------------------------------------
// Globala variabler
let dateInput, timeInput;	// input-elementen
let resElem;				// Element för resultat
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
	dateInput = document.querySelector("#dateInput");
	timeInput = document.querySelector("#timeInput");
	resElem = document.querySelector("#result");
	document.querySelector("#getNowBtn").addEventListener("click", dateTimeNow);
	document.querySelector("#getTimeBtn").addEventListener("click", timeFrom1970);
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Lägg in datum och tid för just nu i fälten i formuläret
function dateTimeNow() {
	let now = new Date();
	dateInput.value = now.getFullYear() + "-" + addZero((now.getMonth()+1)) + "-" + addZero(now.getDate());
	timeInput.value = addZero(now.getHours()) + ":" + addZero(now.getMinutes());
} // Slut dateTimeNow
// --------------------------------------------------
// Beräkna tiden från 1 januari 1970
function timeFrom1970() {
	let ISOdate = dateInput.value + "T" + timeInput.value + "Z";
		// Datum och tid enligt standarden ISO 8601, t.ex. 1970-01-01T00:00Z
	let theDate = new Date(ISOdate); // Datumobjekt för tiden i formuläret
	resElem.innerHTML = theDate.getTime() + " millisekunder sedan midnatt 1 januari 1970"
} // Slut timeFrom1970
// --------------------------------------------------
// Lägg till 0, ifall talet består av endast en siffra
// Kod från www.w3schools.com/jsref/jsref_gethours.asp
function addZero(n) {
    if (n < 10) n = "0" + n;
    return n;
} // Slut addZero
// --------------------------------------------------
